#
# spec file for package rubygem-rake (Version 0.8.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-rake
Version:        0.8.7
Release:        2.1
%define mod_name rake
#
License:        X11/MIT
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems >= 0.9.4
#
Url:            http://rake.rubyforge.org/
#               http://rubyforge.org/projects/rake/
Source:         http://rubyforge.org/frs/download.php/56871/rake-0.8.7.gem
#
Summary:        Ruby Make
%description
This package contains Rake, a simple ruby build program with
capabilities similar to make.

Rake has the following features:

* Rakefiles (rake's version of Makefiles) are completely defined in
   standard Ruby syntax.  No XML files to edit.  No quirky Makefile
   syntax to worry about (is that a tab or a space?)

* Users can specify tasks with prerequisites.

* Rake supports rule patterns to sythesize implicit tasks.

*  Flexible FileLists that act like arrays but know about
   manipulating file names and paths.

* A library of prepackaged tasks to make building rakefiles easier.



Authors:
--------
    Jim Weirich <jim@weirichhouse.org>

%prep

%build

%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{mod_name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Sun Jul 26 2009 dmacvicar@suse.de
- update to 0.8.7
  * Fixed EXEEXT for JRuby on windows.
  * Minor fixes to the RDoc generation (removed dependency on darkfish
    and removed inline source option).
  * Now allow # comments to comment a task definition.
  * Better support for the system command on Windows.
* Fri Mar 20 2009 dmacvicar@suse.de
- update to 0.8.4
  * Case is preserved on rakefile names. (patch from
    James M. Lawrence/quix)
  * Improved Rakefile case insensitivity testing (patch from
    Luis Lavena).
  * Windows system dir search order is now: HOME, HOMEDRIVE +
    HOMEPATH, APPDATA, USERPROFILE (patch from Luis Lavena)
  * MingGW is now recognized as a windows platform. (patch from
    Luis Lavena)
  * Removed reference to manage_gem to fix the warning produced
    by the gem package task.
  * Fixed stray ARGV option problem that was interfering with
    Test::Unit::Runner. (patch from Pivotal Labs)
  * Numerous fixes to the windows test suite (patch from Luis Lavena).
  * Improved Rakefile case insensitivity testing (patch from Luis
    Lavena).
  * Better support for windows paths in the test task (patch from
    Simon Chiang/bahuvrihi)
* Wed Oct 15 2008 mrueckert@suse.de
- update to 0.8.3
  * Enhanced the system directory detection in windows. We now
    check HOMEDRIVE/HOMEPATH and USERPROFILE if APPDATA isn't
    found.  (Patch supplied by James Tucker). Rake no long aborts
    if it can't find the directory.
  * Added fix to handle ruby installations in directories with
    spaces in their name.
- additional changes from 0.8.2
  * Fixed bug in package task so that it will include the subdir
    directory in the package for testing. (Bug found by Adam Majer)
  * Added ENV var to rakefile to prevent OS X from including
    extended attribute junk in a tar file.
    (Bug found by Adam Majer)
  * Fixed filename dependency order bug in test_inspect_pending and
    test_to_s_pending. (Bug found by Adam Majer)
  * Fixed check for file utils options to make them immune to the
    symbol/string differences. (Patch supplied by Edwin Pratomo)
  * Fixed bug with rules involving multiple source
    (Patch supplied by Emanuel Indermühle)
  * Switched from getoptlong to optparse
    (patches supplied by Edwin Pratomo)
  * The -T option will now attempt to dynamically sense the size of
    the terminal.  RAKE_COLUMNS will override any dynamic sensing.
  * FileList#clone and FileList#dup have better sematics w.r.t.
    taint and freeze.
  * Added ability clear prerequisites, and/or actions from an
    existing task.
  * Added the ability to reenable a task to be invoked a second
    time.
  * Changed RDoc test task to have no default template. This makes
    it easier for the tempate to pick up the template from the
    environment.
  * Changed from using Mutex to Monitor. Evidently Mutex causes
    thread join errors when Ruby is compiled with
  - disable-pthreads. (Patch supplied by Ittay Dror)
  * Fixed bug in makefile parser that had problems with extra
    spaces in file task names. (Patch supplied by Ittay Dror)
  * Added a performance patch for reading large makefile dependency
    files. (Patch supplied by Ittay Dror)
  * Default values for task arguments can easily be specified with
    the :with_defaults method. (Idea for default argument merging
    supplied by (Adam Q. Salter)
  * The -T output will only self-truncate if the output is a tty.
    However, if RAKE_COLUMNS is explicitly set, it will be honored
    in any case. (Patch provided by Gavin Stark).
  * Numerous fixes for running under windows. A big thanks to
    Bheeshmar Redheendran for spending a good part of the afternoon
    at the Lonestar Ruby Conference to help me work out these
    issues.
* Wed Feb 20 2008 mrueckert@suse.de
- update to 0.8.1
  * Removed requires on parsedate.rb (in Ftptools)
  * Removed ftools from rake.rb.  Made it options in sys.rb
- additional changes from 0.8.0
  * Added task parameters (e.g. "rake build[version7]")
  * Made task parameters passable to prerequisites.
  * The 'desc' command will now document task argument names.
  * Comments are limited to 80 columns or so
    (suggested by Jamis Buck).
  * Added -D to display full comments (suggested by Jamis Buck).
  * The rake program will set the status value used in any explicit
    exit(n) calls. (patch provided by Stephen Touset)
  * Fixed error in functional tests that were not including session
    (and silently skipping the functionl tests.
  * Removed --usage and make -h the same as -H.
  * Make a prettier inspect for tasks.
* Mon May 14 2007 mrueckert@suse.de
- update to version 0.7.3
  * Added existing and existing! methods to FileList
  * FileLists now claim to be Arrays (via is_a?) to get better
    support from the FileUtil module.
  * Added init and top_level for custom rake applications.
- additional changes from 0.7.2
  * Error messages are now send to stderr rather than stdout
    (from Payton Quackenbush).
  * Better error handling on invalid command line arguments
    (from Payton Quackenbush).
  * Added rcov task and updated unit testing for better code
    coverage.
  * Fixed some bugs where the application object was going to the
    global appliation instead of using its own data.
  * Added square and curly bracket patterns to FileList#include
    (Tilman Sauerbeck).
  * Added plain filename support to rule dependents (suggested by
    Nobu Nakada).
  * Added pathmap support to rule dependents.
  * Added a 'tasks' method to a namespace to get a list of tasks
    associated with the namespace.
  * Fixed the method name leak from FileUtils (bug found by Glenn
    Vanderburg).
  * Added rake_extension to handle detection of extension
    collisions.
  * Added test for noop, bad_option and verbose flags to sh
    command.
  * Removed dependency on internal fu_xxx functions from FileUtils.
  * Added a 'shame' task to the Rakefile.
  * Added tar_command and zip_command options to the Package task.
  * Added a description to the gem task in GemPackageTask.
  * Fixed a bug when rules have multiple prerequisites (patch by
    Joel VanderWerf)
  * Added a protected 'require "rubygems"' to test/test_application
    to unbreak cruisecontrol.rb.
  * Added the handful of RakeFileUtils to the private method as
    well.
  * Added block based exclusion.
  * The clean task will no longer delete 'core' if it is a
    directory.
  * Removed rake_dup.  Now we just simply rescue a bad dup.
  * Refactored the FileList reject logic to remove duplication.
  * Removed if __FILE__ at the end of the rake.rb file.
* Wed Jun 21 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Update to version 0.7.1
- Switched to gem based rake.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 mrueckert@suse.de
- Update to version 0.7.0
* Mon Oct 17 2005 mrueckert@suse.de
- Initial package of version 0.6.2
